Module-Install-ParseRequires

Metadata

Analyzed metadata and errors of Module-Install-ParseRequires.

{
   "abstracts_in_pod" : {
      "Module::Install::ParseRequires" : "A Module::Install extension that provides an alternate way to specify dependencies"
   },
   "author" : "ROKR",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/Module",
      "lib/Module/Install",
      "t"
   ],
   "dist" : "Module-Install-ParseRequires",
   "dynamic_config" : 0,
   "error" : {},
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "Changes",
      "Makefile.PL",
      "META.yml",
      "MANIFEST",
      "lib/Module/Install/ParseRequires.pm",
      "t/01-basic.t"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1324623718,
         "size" : 179
      },
      "MANIFEST" : {
         "mtime" : 1324623718,
         "size" : 94
      },
      "META.yml" : {
         "mtime" : 1324623718,
         "size" : 554
      },
      "Makefile.PL" : {
         "mtime" : 1324623718,
         "size" : 1157,
         "used" : [
            "ExtUtils::MakeMaker",
            "strict",
            "warnings"
         ]
      },
      "README" : {
         "mtime" : 1324623718,
         "size" : 1794
      },
      "lib/Module/Install/ParseRequires.pm" : {
         "license" : "Perl_5",
         "module" : "Module::Install::ParseRequires",
         "mtime" : 1324623718,
         "required" : [
            "ExtUtils::MakeMaker"
         ],
         "size" : 2927,
         "used" : [
            "Module::Install::Base",
            "strict",
            "warnings"
         ]
      },
      "t/01-basic.t" : {
         "mtime" : 1324623718,
         "size" : 1029,
         "used" : [
            "Config",
            "File::Path",
            "File::Spec",
            "Test::More",
            "YAML::Tiny",
            "inc::Module::Install",
            "strict",
            "warnings"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "97.56",
      "manifest_matches_dist" : 1,
      "metayml_conforms_to_known_spec" : 1,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 1,
      "metayml_has_provides" : 0,
      "metayml_has_repository_resource" : 0,
      "metayml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1324623718,
   "license" : "perl defined in META.yml",
   "license_file" : "lib/Module/Install/ParseRequires.pm",
   "license_from_yaml" : "perl",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/Module/Install/ParseRequires.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "A Module::Install extension that provides an alternate way to specify dependencies",
      "author" : [
         "Robert Krimen <robertkrimen@gmail.com>"
      ],
      "build_requires" : {
         "File::Spec" : "0",
         "Test::Most" : "0",
         "YAML::Tiny" : "0"
      },
      "configure_requires" : {
         "ExtUtils::MakeMaker" : "6.30"
      },
      "dynamic_config" : "0",
      "generated_by" : "Dist::Zilla version 4.300003, CPAN::Meta::Converter version 2.112150",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "Module-Install-ParseRequires",
      "requires" : {
         "Module::Install" : "0.85"
      },
      "version" : "0.002"
   },
   "metayml_is_parsable" : 1,
   "modules" : [
      {
         "file" : "lib/Module/Install/ParseRequires.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Module::Install::ParseRequires"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "Module-Install-ParseRequires-0.002.tar.gz",
   "prereq" : [
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "6.30"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "YAML::Tiny",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "File::Spec",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Module::Install",
         "type" : "runtime_requires",
         "version" : "0.85"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "Test::Most",
         "type" : "build_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1324623772,
   "size_packed" : 2856,
   "size_unpacked" : 7734,
   "uses" : {
      "required_in_code" : {
         "ExtUtils::MakeMaker" : 1
      },
      "used_in_code" : {
         "Module::Install::Base" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_tests" : {
         "Config" : 1,
         "File::Path" : 1,
         "File::Spec" : 1,
         "Test::More" : 1,
         "YAML::Tiny" : 1,
         "inc::Module::Install" : 1,
         "strict" : 2,
         "warnings" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.002",
   "versions" : {
      "lib/Module/Install/ParseRequires.pm" : {
         "Module::Install::ParseRequires" : "0.002"
      }
   },
   "vname" : "Module-Install-ParseRequires-0.002"
}